<?php
/*--------------------------------------------+
| PHP-Fusion v7 - Content Management System   |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU Affero GPL v3                       |
+--------------------------------------------*/
/*--------------------------------------------+
| FMc_v005 for PHP-Fusion v7                  |
|---------------------------------------------|
| author: fusionmaster.dk  2006              |
| web: http://fusionmaster.dk                 |
| email: info@fusionmaster.dk                 |
| Converted to V7 by Harly                    |
| web: http://php-fusion.openworld.dk         |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }
// theme settings
define("THEME_BULLET", "<img class='bullet' src='".THEME."images/bullet.gif' alt='bullet.gif' />");
define("THEME_BULLET2", "<span class='bullet2'>&middot;</span>");
define("THEME_WIDTH", "920");
require_once INCLUDES."theme_functions_include.php";


function render_page($license=false) {

global $settings;;


//Header
echo "<table align='center' cellspacing='0' cellpadding='0' width='".THEME_WIDTH."' style='border-left:0px #FFFFFF dotted;'>
<tr>
<td class='full-header'>
<table cellpadding='0' cellspacing='0' width='100%' class='center'>
<tr>
<td>".showbanners()."</td>
</tr>
</table>
</td>
</tr>
</table>\n";

//Subheader
echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' style='height:30px;' class='center'>\n<tr>
<td class='sub-header'>".showsublinks(" ".THEME_BULLET2." ","white")."</td>
<td align='right' class='sub-date'>".showsubdate()."</td>
</tr>
</table>\n";

//Content
echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'>";
echo "<tr>";
if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
echo "</tr>\n";
echo "</table>\n";

//Footer
echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'>";
echo "<tr>";
echo "<td align='center' class='main-footer'>".stripslashes($settings['footer'])."</td>";
echo "</tr>";
echo "</table>";
echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'>";
echo "<tr>";
echo "<td align='left' class='footer'>Theme <b>Fusionmaster_v5-V7</b> by <a href='http://fusionmaster.dk/' target='blank'>Fusionmaster</a>. Converted to V7 by <a href='http://php-fusion.openworld.dk/' target='blank'>Harly</a>.<br />".showcounter()."<p>".showcopyright()."</p></td>";
echo "</tr>\n";
echo "</table>\n";


}

function render_news($subject, $news, $info) {

global $locale;

echo "<table width='100%' cellpadding='0' cellspacing='0' class='newsborder'>
<tr>
<td>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='capnews'>$subject</td>
</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='news-footer'>".showdate("longdate", $info['news_date'])."</td>
<td align='right' class='news-footer'>".newsopts($info,"&middot;").itemoptions("N",$info['news_id'])."</td>
</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='main-body'>
$news
</td>
</tr>
</table>
</td>
</tr>
</table><br />\n";

}

function render_article($subject, $article, $info) {

global $locale;

echo "<table width='100%' cellpadding='0' cellspacing='0' class='border'>
<tr>
<td>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='capartic'>$subject</td>
</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='main-body'>
".($info['article_breaks'] == "y" ? nl2br($article) : $article)."
</td>
</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='artic-footer'>".articleposter($info," ")."</td>
<td align='right' class='news-footer'>".articleopts($info,"&middot;").itemoptions("A",$info['article_id'])."</td>
</tr>
</table>
</td>
</tr>
</table>\n";

}
function opentable($title) {

echo "<table cellpadding='0' cellspacing='0' width='100%'>
<tr>
<td class='capmain'>$title</td>
</tr>
<tr>
<td class='main-body'>\n";

}

function opentablenews($title) {

echo "<table cellpadding='0' cellspacing='0' width='100%'>
<tr>
<td class='capnews'>$title</td>
</tr>
<tr>
<td class='main-body'>\n";

}

function closetable() {

echo "</td>
</tr>
</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
        $boxname = str_replace(" ", "", $title);
	
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>";
	echo "<tr>";
	echo "<td class='scapmain'>$title</td>";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td colspan='2' class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";

}

?>